package net.pricefx.service;

import java.io.Externalizable;
import java.util.LinkedHashMap;

import net.pricefx.common.util.SpecialValue;

import com.fasterxml.jackson.annotation.JsonFilter;

public class DMUtil {
	
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////
	// Helper types
	//
	
	public static boolean isNull(final Object value){
		return SpecialValue.isNull(value);
	}


	public static interface Key extends Comparable<Key> {

		@Override
		public int compareTo(Key o);

		public boolean hasNulls();
	}

	@JsonFilter("DynamicFieldFilter")
	public static abstract class FieldValues extends LinkedHashMap<String,Object> implements Externalizable {
	}
	
}
